extends Node

var right_arm = "mixamorig_RightArm"
var right_forearm = "mixamorig_RightHandPinky3"

var right_hand_bones_ik_task = null;
var target;
export var ik_blending = 0.0;

func touch_with_right_hand(target_transform):
	right_hand_bones_ik_task = $Skeleton3.create_ik_task(right_arm, right_forearm, target_transform)
	target = target_transform
	$"../AnimationPlayer".play("IK")
	
func stop_touch():
	$Skeleton3.free_ik_task(right_hand_bones_ik_task)
	right_hand_bones_ik_task = null

func _process(delta):
	if null!=right_hand_bones_ik_task:
		$Skeleton3.solve_ik_task(right_hand_bones_ik_task, ik_blending);

#
#
# MOVEMENT

func _physics_process(delta):
	
	var dir = Vector3() # Where does the player intend to walk to
	
	if (Input.is_action_pressed("move_forward")):
		dir.z += 1
	if (Input.is_action_pressed("move_backwards")):
		dir.z += -1
	if (Input.is_action_pressed("move_left")):
		dir.x += 1
	if (Input.is_action_pressed("move_right")):
		dir.x += -1
	
	move_and_slide(dir*2, Vector3(0,1,0))